diff -up telepathy-qt-0.9.3/cmake/modules/FindTelepathyFarstream.cmake.farstream_compat telepathy-qt-0.9.3/cmake/modules/FindTelepathyFarstream.cmake
--- telepathy-qt-0.9.3/cmake/modules/FindTelepathyFarstream.cmake.farstream_compat	2012-07-13 12:40:23.000000000 -0500
+++ telepathy-qt-0.9.3/cmake/modules/FindTelepathyFarstream.cmake	2013-01-07 10:16:46.632238948 -0600
@@ -23,9 +23,9 @@ if (NOT WIN32)
     # in the find_path() and find_library() calls
     find_package(PkgConfig)
     if (TELEPATHY_FARSTREAM_MIN_VERSION)
-        PKG_CHECK_MODULES(PC_TELEPATHY_FARSTREAM telepathy-farstream>=${TELEPATHY_FARSTREAM_MIN_VERSION})
+        PKG_CHECK_MODULES(PC_TELEPATHY_FARSTREAM telepathy-farstream-0.4>=${TELEPATHY_FARSTREAM_MIN_VERSION} telepathy-farstream>=${TELEPATHY_FARSTREAM_MIN_VERSION})
     else (TELEPATHY_FARSTREAM_MIN_VERSION)
-        PKG_CHECK_MODULES(PC_TELEPATHY_FARSTREAM telepathy-farstream)
+        PKG_CHECK_MODULES(PC_TELEPATHY_FARSTREAM telepathy-farstream-0.4 telepathy-farstream)
     endif (TELEPATHY_FARSTREAM_MIN_VERSION)
     set(TELEPATHY_FARSTREAM_DEFINITIONS ${PC_TELEPATHY_FARSTREAM_CFLAGS_OTHER})
 endif (NOT WIN32)
@@ -34,10 +34,10 @@ find_path(TELEPATHY_FARSTREAM_INCLUDE_DI
    PATHS
    ${PC_TELEPATHY_FARSTREAM_INCLUDEDIR}
    ${PC_TELEPATHY_FARSTREAM_INCLUDE_DIRS}
-   PATH_SUFFIXES telepathy-1.0
+   PATH_SUFFIXES telepathy-1.0-compat telepathy-1.0
    )
 
-find_library(TELEPATHY_FARSTREAM_LIBRARIES NAMES telepathy-farstream
+find_library(TELEPATHY_FARSTREAM_LIBRARIES NAMES telepathy-farstream-0.4 telepathy-farstream
    PATHS
    ${PC_TELEPATHY_FARSTREAM_LIBDIR}
    ${PC_TELEPATHY_FARSTREAM_LIBRARY_DIRS}
diff -up telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream.pc.in.farstream_compat telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream.pc.in
--- telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream.pc.in.farstream_compat	2012-07-13 12:40:23.000000000 -0500
+++ telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream.pc.in	2013-01-07 10:18:10.329215783 -0600
@@ -6,6 +6,6 @@ includedir=${CMAKE_INSTALL_PREFIX}/${INC
 Name: TelepathyQt${QT_VERSION_MAJOR}Farstream
 Description: Qt Telepathy Farstream utility library for the Telepathy framework
 Version: ${PACKAGE_VERSION}
-Requires.private: QtCore >= ${QT_MIN_VERSION}, QtCore < ${QT_MAX_VERSION}, QtDBus >= ${QT_MIN_VERSION}, QtDBus < ${QT_MAX_VERSION}, telepathy-glib >= ${TELEPATHY_GLIB_MIN_VERSION}, telepathy-farstream >= ${TELEPATHY_FARSTREAM_MIN_VERSION}, TelepathyQt${QT_VERSION_MAJOR} = ${PACKAGE_VERSION}
+Requires.private: QtCore >= ${QT_MIN_VERSION}, QtCore < ${QT_MAX_VERSION}, QtDBus >= ${QT_MIN_VERSION}, QtDBus < ${QT_MAX_VERSION}, telepathy-glib >= ${TELEPATHY_GLIB_MIN_VERSION}, telepathy-farstream-0.4 >= ${TELEPATHY_FARSTREAM_MIN_VERSION}, TelepathyQt${QT_VERSION_MAJOR} = ${PACKAGE_VERSION}
 Libs: -L${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR} -ltelepathy-qt${QT_VERSION_MAJOR}-farstream
 Cflags: -I${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}/telepathy-qt${QT_VERSION_MAJOR}
diff -up telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in.farstream_compat telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in
--- telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in.farstream_compat	2012-07-13 12:40:23.000000000 -0500
+++ telepathy-qt-0.9.3/TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in	2013-01-07 10:18:24.809038717 -0600
@@ -6,6 +6,6 @@ abs_top_srcdir=${CMAKE_SOURCE_DIR}
 Name: TelepathyQt${QT_VERSION_MAJOR}Farstream (uninstalled copy)
 Description: Qt Telepathy Farstream utility library for the Telepathy framework
 Version: ${PACKAGE_VERSION}
-Requires.private: QtCore >= ${QT_MIN_VERSION}, QtCore < ${QT_MAX_VERSION}, QtDBus >= ${QT_MIN_VERSION}, QtDBus < ${QT_MAX_VERSION}, telepathy-glib >= ${TELEPATHY_GLIB_MIN_VERSION}, telepathy-farstream >= ${TELEPATHY_FARSTREAM_MIN_VERSION}, TelepathyQt${QT_VERSION_MAJOR} = ${PACKAGE_VERSION}
+Requires.private: QtCore >= ${QT_MIN_VERSION}, QtCore < ${QT_MAX_VERSION}, QtDBus >= ${QT_MIN_VERSION}, QtDBus < ${QT_MAX_VERSION}, telepathy-glib >= ${TELEPATHY_GLIB_MIN_VERSION}, telepathy-farstream-0.4 >= ${TELEPATHY_FARSTREAM_MIN_VERSION}, TelepathyQt${QT_VERSION_MAJOR} = ${PACKAGE_VERSION}
 Libs: ${CMAKE_BINARY_DIR}/TelepathyQt${QT_VERSION_MAJOR}/Farstream/libtelepathy-qt${QT_VERSION_MAJOR}-farstream.so
 Cflags: -I${CMAKE_SOURCE_DIR} -I${CMAKE_BINARY_DIR}
